<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_1</title>
</head>
<body>
    <h1>Capitulo 1</h1>
    <a>Ejercicio 9</a>

    <script>
    //Copiado
    const isRotation = ( cadena1 = "", cadena2 = "" ) => {
        if (!cadena1) return console.warn("No ingresaste un texto");
        if (!cadena2) return console.warn("No ingresaste un texto");
        
        let len = cadena1.length;

        if (len === cadena2.length && len > 0) {
            let s1s1 = cadena1 + cadena1;
            return isSubstring(s1s1, cadena2);
        }
        return false;
    }

    let is = isRotation("waterbottle","erbottlewat");
    console.log(is);


    </script>
    
</body>
</html>